CVE-2010-0991

NameCVE-2010-0991
DescriptionMultiple heap-based buffer overflows in imlib2 1.4.3 allow context-dependent attackers to execute arbitrary code via a crafted (1) ARGB, (2) XPM, or (3) BMP file, related to the IMAGE_DIMENSIONS_OK macro in lib/image.h.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imlib2 (PTS)stretch1.4.8-1fixed
buster1.5.1-1fixed
bullseye1.7.1-2fixed
bookworm, sid1.7.4-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imlib2source(unstable)(not affected)

Notes

- imlib2 <not-affected> (vulnerable code introduced in 1.4.3)

Search for package or bug name: Reporting problems